%define	name	vorbis-tools
%define version 1.1.1
%define subrel 3
%define release %mkrel 5
%define	theirversion %version

# Define Mandriva Linux version we are building for
%define mdkversion %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandriva-release)

Name:		%{name}
Summary:	Several Ogg Vorbis Tools
Version:	%{version}
Release:	%{release}
Group:		Sound
License:	GPL
URL:		http://www.xiph.org/
Source:		http://downloads.xiph.org/releases/vorbis/%{name}-%{theirversion}.tar.bz2
#gw support flac >= 1.1.3
Patch: vorbis-tools-flac-1.1.3.patch
#gw build with new curl
Patch1: vorbis-tools-1.1.1-new-curl.patch
#gw from Red Hat: fix charset conversion
Patch2: vorbis-tools-1.1.1-conversion.patch
Patch4:		vorbis-tools-1.1.1-next_on_SIGUSR1.patch
Patch5:		vorbis-tools-1.0.1-ogg123-play-stdin.patch
Patch6:		vorbis-tools-1.1.1-CVE-2008-1686.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
%if %{mdkversion} >= 920
Requires:	libogg >= 1.0-1mdk libvorbis >= 1.0-1mdk
%else
Requires:	libogg0 >= 1.0-1mdk libvorbis0 >= 1.0-1mdk
%endif
BuildRequires:	libao-devel >= 0.8.3 libcurl-devel libogg-devel >= 1.0-1mdk zlib-devel liboggflac-devel
BuildRequires:  libspeex-devel
#BuildRequires:  automake1.8
BuildRequires:	openssl-devel libvorbis-devel >= 1.0-1mdk texinfo
# (gc) needed for AM_PATH_PROG_WITH_TEST
BuildRequires:	gettext-devel

%description
This package contains oggenc (encoder), oggdec, ogg123 (command line player)
vorbiscomment (metadata editor) and vcut (cut tool).

Find some free Ogg Vorbis music here: http://www.vorbis.com/music/

%prep
%setup -q -n %{name}-%{theirversion}
%patch -p1 -b .flac
%patch1 -p1 -b .curl
%patch2 -p1 -b .conversion
%patch4 -p1 -b .next-on-USR1
%patch5 -p1 -b .ogg123-play-stdin
%patch6 -p1 -b .cve-2008-1686

#ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 autoreconf --install --force
touch config.rpath
autoreconf --install --force

%build
%configure2_5x \
	--with-ogg-libraries=%{_libdir} \
	--with-vorbis-libraries=%{_libdir} \
	--with-ao-libraries=%{_libdir} \
	--with-curl-libraries=%{_libdir} \
	--enable-vcut

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

# cleanup
rm -rf %{buildroot}/%{_docdir}/%{name}-%{version}

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING README ogg123/ogg123rc-example
%{_bindir}/ogg123
%{_bindir}/oggdec
%{_bindir}/oggenc
%{_bindir}/ogginfo
%{_bindir}/vcut
%{_bindir}/vorbiscomment
%{_mandir}/man1/ogg123*
%{_mandir}/man1/oggenc*
%{_mandir}/man1/oggdec*
%{_mandir}/man1/ogginfo*
%{_mandir}/man1/vcut*
%{_mandir}/man1/vorbiscomment*


%changelog
* Mon Apr 28 2008 Vincent Danen <vdanen@mandriva.com> 1.1.1-5.3mdv2008.0
- P6: security fix for CVE-2008-1686

* Wed Jan 16 2008 Vincent Danen <vdanen@mandriva.com> 1.1.1-5.2mdv2008.0
- build for updates

* Tue Jan 15 2008 Olivier Blin <oblin@mandriva.com> 1.1.1-5.1mdv2008.0
+ Revision: 152809
- fix character set conversion (bug #36688, from Goetz)

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-5mdv2008.0
+ Revision: 74262
- fix build


* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 1.1.1-5mdv2007.0
+ Revision: 89374
- update patch 0
- patch for new curl
- Import vorbis-tools

* Wed Oct 18 2006 Gtz Waschk <waschk@mandriva.org> 1.1.1-5mdv2007.1
- patch to support flac 1.1.3

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-4mdk
- rebuilt against openssl-0.9.8a

* Thu Oct 13 2005 Gtz Waschk <waschk@mandriva.org> 1.1.1-3mdk
- fix description

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 1.1.1-2mdk
- reenable vcut (thanks to Christopher Kelly)

* Mon Jul 11 2005 Gtz Waschk <waschk@mandriva.org> 1.1.1-1mdk
- spec cleanup
- drop patch 6
- rediff patch 4
- source URL
- New release 1.1.1

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-7mdk
- rebuild with new libflac

* Fri Jan 21 2005 Abel Cheung <deaddog@mandrake.org> 1.0.1-6mdk
- P5: Allows ogg123 to play stdin -- https://nospam.dyndns.dk/hacks/ogg123/
- P6: Fix speex detection
- Try using configure flags to work around lib64 detection, but keep P0 for now

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-5mdk
- rebuild for new flac

* Thu Jul 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-4mdk
- rebuild for new curl

* Mon Dec 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-3mdk
- fix buildrequires again

* Sun Dec 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-2mdk
- add missing buildrequires

* Thu Dec 11 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-1mdk
- new version

